/* file ϴܴؿѥإåե
 * shige
 * 11/03 2000
 * fileio.c
 * $Id: fileio.h,v 1.1 2000-11-03 18:45:13+09 shige Exp $
 */
#ifndef __FILEIO_H__
#define __FILEIO_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "error.h"

#ifndef sto4bytei
# define sto4bytei(s) ((s[0]<<24)|(s[1]<<16)|(s[2]<<8)|s[3])
# define sto2bytei(s) ((s[0]<<8)|s[1])
#endif
#ifndef sto4bytelittlei
# define sto4bytelittlei(s) ((s[3]<<24)|(s[2]<<16)|(s[1]<<8)|s[0])
# define sto2bytelittlei(s) ((s[1]<<8)|s[0])
#endif

#ifdef __FILEIO_C__
# define EXTERN_FILEIO 
#else
# define EXTERN_FILEIO extern 
#endif

EXTERN_FILEIO void putfile2file(FILE *file1,FILE *file2,long int pos,
				long int len);
EXTERN_FILEIO int read4bytetoi(FILE *file,long int *J);
EXTERN_FILEIO int read2bytetoi(FILE *file,short int *J);
EXTERN_FILEIO void writeito4byte(FILE *file,unsigned long int n);
EXTERN_FILEIO void writeito2byte(FILE *file,unsigned short int n);
EXTERN_FILEIO int read4bytetolittlei(FILE *file,long int *J);
EXTERN_FILEIO int read2bytetolittlei(FILE *file,short int *J);
EXTERN_FILEIO void writelittleito4byte(FILE *file,unsigned long int n);
EXTERN_FILEIO void writelittleito2byte(FILE *file,unsigned short int n);

#endif /* __FILEIO_H__ */
